std::experimental::ranges::SignedIntegral(3)

NAME
std::experimental::ranges::SignedIntegral - std::experimental::ranges::SignedIntegral

Synopsis
   Defined in header <experimental/ranges/concepts>
   template < class T > (ranges TS)
   concept bool SignedIntegral = Integral<T> && std::is_signed<T>::value;
   The concept SignedIntegral<T> is satisfied if and only if T is an integral type and
   std::is_signed<T>::value is true.
   There need not be any subsumption relationship between SignedIntegral<T> and
   std::is_signed<T>::value.

Notes
   SignedIntegral<T> may be satisfied by a type that is not a signed integer type, for
   example, char (on a system where char is signed).

See also
   is_integral checks if a type is an integral type
   (C++11) (class template)
   is_signed checks if a type is a signed arithmetic type
   (C++11) (class template)